---
schema_version: "1"
id: 26b956049487dc63d7a662235b7e4e0d0506d3f434d7dbbe41158d11e3e523f6
title: POST /contacts/v1/contacts/actions/delete?type=keys
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/DeleteByContactKeys.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_contacts/DeleteByContactKeys.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: a7489ad541169da03c323c73d0981a895af0020faf94aa88d55bfa2edb86d53d
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# POST /contacts/v1/contacts/actions/delete?type=keys

Asynchronously deletes a contact when provided with its contact key. Use the `OperationID` value returned to check the status of the deletion.

## JSON Parameters

| Name                  | Type   | Description                                                                                                                                                                              |
| --------------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `Values`              | Array  | Required. Array of contact key values to delete                                                                                                                                          |
| `DeleteOperationType` | String | Required. Type of delete operation to perform. Specify ContactAndAttributes to delete a contact and all its attributes from the entire account and channels. AttributesOnly is Not used. |

## Usage

This request deletes contacts specified by the contact key values passed in the `values` array.

This asynchronous process places the deletion call in a queue for processing. The queue processes only one deletion call at a time, and each process can take several hours to complete.

This resource deletes contact information from the account, including the Email, MobileConnect, MobilePush, and GroupConnect apps, as well as lists, audiences, journeys, and Einstein analytics. This deletion occurs at the enterprise level.

A successful request suppresses any sends or other activities to the specified contacts for a specified number of days. The contact record still appears in Marketing Cloud Engagement, but you can’t include these suppressed contacts in any activities. After the specified number of days, the system deletes the contact from all lists and sendable data extensions. You can’t restore any contact information associated with this delete process. Any subscriberID number assigned to the contact can be recycled in the future. For Enterprise accounts, this process deletes all information at the Enterprise level.

**note:** To configure suppression number values, use the [Configure Settings for Deleting Contacts](https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_contacts/ContactsDeleteConfigStatus.md) resource.

### Example Request

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /contacts/v1/contacts/actions/delete?type=keys
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

{
    "values": [
        "TEST_317-531-5555", "TEST_317-531-5556"
    ],
    "DeleteOperationType": "ContactAndAttributes"
}
```

### Example Response

```js
{
  "operationInitiated": true,
  "operationID": 2,
  "requestServiceMessageID": "21d0d10d-a15a-413c-bc3e-8b43b185e551",
  "resultMessages": [],
  "serviceMessageID": "acb87f67-ec49-42af-a0bb-987ac6451560"
}
```
